package com.unis.base.server.service.impl;

import java.util.List;

import com.unis.base.common.vo.TyZjxxzbQueryVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyHtxxVO;
import com.unis.base.common.vo.TyZjxxzbVO;
import com.unis.base.server.domain.TyZjxxzbDomain;
import com.unis.base.server.service.TyZjxxzbService;
import com.unis.common.utils.DateUtil;

/**
 * @author huangxing
 * @version 1.0
 * @Title TyCrkjsxxServiceImpl
 * @ProjectName TyCrkjsxxServiceImpl
 * @Description
 * @date 2019/07/22 17点26分
 */
@Service
public class TyZjxxzbServiceImpl implements TyZjxxzbService {

	@Autowired
	private TyZjxxzbDomain tyZjxxzbDomain;

	/**
	 * 获取信息
	 */
	@Override
	public List<TyZjxxzbVO> getTyZjxxzbList(TyZjxxzbQueryVO tyZjxxzbQueryVO) {
		return tyZjxxzbDomain.getTyZjxxzbList(tyZjxxzbQueryVO);
	}

	/**
	 * 分页展示
	 */
	@Override
	public List<TyZjxxzbVO> getTyZjxxzbPage(TyZjxxzbQueryVO tyZjxxzbQueryVO, Integer pageNum, Integer pageSize) {
		PageHelper.startPage(pageNum, pageSize);
		return tyZjxxzbDomain.getTyZjxxzbList(tyZjxxzbQueryVO);
	}

	/**
	 * 添加
	 */
	@Override
	public int insert(TyZjxxzbVO tyZjxxzbVO) {
		String date = DateUtil.getCurrentDateTime16Str();
		tyZjxxzbVO.setZjxxid("ZJ"+date);
		return tyZjxxzbDomain.insert(tyZjxxzbVO);
	}

	/**
	 * 更新信息
	 */
	@Override
	public int update(TyZjxxzbVO tyZjxxzbVO) {
		return tyZjxxzbDomain.update(tyZjxxzbVO);
	}

	/**
	 * 删除
	 */
	@Override
	public int delete(String zjxxid) {
		//根据编号获取廒间信息
		TyZjxxzbVO tyZjxxzbVO = tyZjxxzbDomain.getTyZjxxzbById(zjxxid);
		if(tyZjxxzbVO == null) {
			return -1;
		}
		tyZjxxzbVO.setStatus(0);
		return tyZjxxzbDomain.update(tyZjxxzbVO);
	}

	/**
	 * 根据编号获取信息
	 */
	@Override
	public TyZjxxzbVO getZjxxzbByZjxxzbid(String zjxxid) {
		return tyZjxxzbDomain.getTyZjxxzbById(zjxxid);
	}

	/**
	 * 获取所有列表不分页
	 */
	@Override
	public PageInfo<TyZjxxzbVO> getPageList() {
		PageInfo<TyZjxxzbVO> page = tyZjxxzbDomain.getAllList();
		return page;
	}

	/**
	 * 批量新增信息
	 * @param tyZjxxzbVO
	 * @return
	 */
	@Override
	public int batchInserts(List<TyZjxxzbVO> tyZjxxzbVO) {
		return tyZjxxzbDomain.batchInserts(tyZjxxzbVO);
	}
}
